JarLoader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.beanbox
Class JarLoader

    java.lang.Object
      com.bbn.openmap.tools.beanbox.JarLoader

    public class JarLoader

extends java.lang.Object

Constructor Summary
`JarLoader(java.lang.String jarName)` Create a JarLoader to read a JAR and to process its contents.

Method Summary
`JarInfo` | `loadJar()` Load the classes, resources, etc.
`static void` | `loadJarDoOnBean(java.lang.String jarFile, DoOnBean action)` Load the JAR file, then apply an action to each bean found

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarLoader

    public JarLoader(java.lang.String jarName)
              throws java.io.FileNotFoundException

  Create a JarLoader to read a JAR and to process its contents. Classes and resources are loaded against a single common class loader instance so that things like "adaptor class instantiaton" can work. Loading is started with loadIt()

  Throws:
    `java.io.FileNotFoundException`

Method Detail

### loadJar

    public JarInfo loadJar()
                    throws java.io.IOException

  Load the classes, resources, etc.

  Throws:
    `java.io.IOException`

### loadJarDoOnBean

    public static void loadJarDoOnBean(java.lang.String jarFile,
                                       DoOnBean action)
                                throws java.io.IOException

  Load the JAR file, then apply an action to each bean found

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details